package com.icx.javaproxytunnel.model;

import com.fasterxml.jackson.annotation.*;

public class SystemTelemetryData {
    private String consumerProcessHost;
    private String consumerProcessName;
    private String consumerProcessVersion;
    private String inContactClusterAlias;
    private String inContactScriptEngineHost;
    private ConsumerMetaData consumerMetaData;

    @JsonProperty("consumerProcessHost")
    public String getConsumerProcessHost() { return consumerProcessHost; }
    @JsonProperty("consumerProcessHost")
    public void setConsumerProcessHost(String value) { this.consumerProcessHost = value; }

    @JsonProperty("consumerProcessName")
    public String getConsumerProcessName() { return consumerProcessName; }
    @JsonProperty("consumerProcessName")
    public void setConsumerProcessName(String value) { this.consumerProcessName = value; }

    @JsonProperty("consumerProcessVersion")
    public String getConsumerProcessVersion() { return consumerProcessVersion; }
    @JsonProperty("consumerProcessVersion")
    public void setConsumerProcessVersion(String value) { this.consumerProcessVersion = value; }

    @JsonProperty("inContactClusterAlias")
    public String getInContactClusterAlias() { return inContactClusterAlias; }
    @JsonProperty("inContactClusterAlias")
    public void setInContactClusterAlias(String value) { this.inContactClusterAlias = value; }

    @JsonProperty("inContactScriptEngineHost")
    public String getInContactScriptEngineHost() { return inContactScriptEngineHost; }
    @JsonProperty("inContactScriptEngineHost")
    public void setInContactScriptEngineHost(String value) { this.inContactScriptEngineHost = value; }

    @JsonProperty("consumerMetaData")
    public ConsumerMetaData getConsumerMetaData() { return consumerMetaData; }
    @JsonProperty("consumerMetaData")
    public void setConsumerMetaData(ConsumerMetaData value) { this.consumerMetaData = value; }
}
